---
lang: en
title: 'API docs: core.application.stop'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.application.stop.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [Application](./core.application.md) &gt; [stop](./core.application.stop.md)

## Application.stop() method

Stop the application instance and all of its registered observers. The application state is checked to ensure the integrity of `stop`<!-- -->.

If the application is already stopped or not started, no operation is performed.

**Signature:**

```typescript
stop(): Promise<void>;
```
**Returns:**

Promise&lt;void&gt;


